<?php
/**
 * @version		$Id: slideshows.php 20196 2011-01-09 02:40:25Z ian $
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

class JFormFieldSlideshows extends JFormField
{
	/**
	 * Element name
	 *
	 * @access	protected
	 * @var		string
	 */
   
    protected $type = 'slideshows';

	function getInput()
	{

		$db		=& JFactory::getDBO();
		$doc 		=& JFactory::getDocument();
		$article =& JTable::getInstance('content');

		if ($this->value) {
			$article->load($this->value);
		} else {
			$article->title = JText::_('Select an Article');
		}

		$query = "SELECT name FROM #__cu3er__slideshows WHERE id = {$this->value}";
		$db->setQuery($query);
		$slideshow_name = $db->loadResult();

		$js = "
		function jSelectSlideshow(id, title) {
			document.getElementById('slideshow_id').value = id;
			document.getElementById('slideshow_name').value = title;
            window.parent.SqueezeBox.close();
		}";
		$doc->addScriptDeclaration($js);

		$link = 'index.php?option=com_cu3er&amp;task=element&amp;tmpl=component&amp;object='.$this->name;

		JHTML::_('behavior.modal', 'a.modal');
		$html = "\n".'<div style="float: left;"><input style="background: #ffffff;" type="text" name="slideshow_name" id="slideshow_name" value="'.htmlspecialchars($slideshow_name, ENT_QUOTES, 'UTF-8').'" disabled="disabled" /></div>';
//		$html .= "\n &nbsp; <input class=\"inputbox modal-button\" type=\"button\" value=\"".JText::_('Select')."\" />";
		$html .= '<div class="button2-left"><div class="blank"><a class="modal" title="'.JText::_('COM_CU3ER_SELECT_A_CU3ER_SLIDESHOW').'"  href="'.$link.'" rel="{handler: \'iframe\', size: {x: 650, y: 375}}">'.JText::_('Select').'</a></div></div>'."\n";
		$html .= "\n".'<input type="hidden" id="slideshow_id" name="'.$this->name.'" value="'.(int)$this->value.'" />';

		return $html;
	}
}
